myfaces-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Simon Lessard" <simon.lessar...@gmail.com>
Subject Re: Migrate from MyFaces 1.1.5 to 1.2.0 on JBoss 4.0.5.GA
Date Fri, 27 Jul 2007 13:48:32 GMT
Found the right link for you:
http://wiki.jboss.org/wiki/Wiki.jsp?page=JBossWithJSFCDDL


Regards,

~ Simon

On 7/27/07, Simon Lessard <simon.lessard.3@gmail.com> wrote:
>
> Hmmm, you can try to include jsf 2.1 and servlet 2.5 jars in your WAR
> file. Depanding on how JBoos resolves its classpath it might work.
>
> On 7/27/07, Michael Obster <michael@obster.org> wrote:
> >
> > So there is no way to use MyFaces 1.2 with JBoss 4.x? Hmm. Ok. Perhaps
> > then I should go back to my old MyFaces...
> > Thanks for your replies.
> >
> > Cheers,
> > Michael
> >
> > Simon Lessard schrieb:
> > > Hello Michael,
> > >
> > > You need a Servlet 2.5 and JSP 2.1 compliant container to run JSF 1.2,
> > > like Tomcat 6 (or JBoss 5.x I think). For your javax.el.ELResolver
> > > class, it's from the JSP 2.1's jar
> > >
> > >
> > > Regards,
> > >
> > > ~ Simon
> > >
> > > On 7/27/07, *Michael Obster* <michael@obster.org
> > > <mailto:michael@obster.org>> wrote:
> > >
> > >     Hi,
> > >
> > >     I wanted to migrate from MyFaces 1.1.5 to 1.2.0 but have some
> > trouble
> > >     with it.
> > >     After changing the libs, I just start the application but getting
> > a
> > >     java.lang.NoClassDefFoundError : javax/el/ELResolver
> > >        at
> > >
> > org.apache.myfaces.webapp.StartupServletContextListener.getFacesInitializer
> > (StartupServletContextListener.java:70)
> > >     ...
> > >
> > >     What I'm doing wrong? Using the old 1.1.5 works correct. Also I
> > have
> > >     tried to use the javaee.jar from Suns JavaEE 5. But I get also
> > this
> > >     error.
> > >     Have I overseen s.th <http://s.th >. in the documentation?
> > >
> > >     Cheers,
> > >     Michael
> > >
> > >
> >
> >
>

Mime
View raw message